-- 甲方请求加密信息记录
CREATE TABLE party_a_encrypted_input_record
(
    id              INT(20) AUTO_INCREMENT
        PRIMARY KEY,
    dept_id         INT(20)                             NOT NULL COMMENT '主体id',
    ser_public_key  VARCHAR(2048)                       NOT NULL COMMENT '请求时服务器公钥',
    ser_private_key VARCHAR(2048)                       NOT NULL COMMENT '请求时服务器私钥',
    cli_public_key  VARCHAR(2048)                       NOT NULL COMMENT '请求时客户端公钥',
    cli_private_key VARCHAR(2048)                       NOT NULL COMMENT '请求时客户端私钥',
    signature       VARCHAR(32)                         NOT NULL COMMENT '请求时签名字符串',
    original_text   TEXT                                NOT NULL COMMENT '加密后的信息',
    password   VARCHAR(2048)                                 NOT NULL COMMENT '密码',
    create_time     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '创建时间'
)
    COMMENT '甲方请求加密信息记录' CHARSET = utf8mb4;

-- 乙方响应结果加密信息记录
CREATE TABLE party_b_encrypted_output_record
(
    id              INT(20) AUTO_INCREMENT
        PRIMARY KEY,
    dept_id         INT(20)                             NOT NULL COMMENT '主体id',
    ser_public_key  VARCHAR(2048)                       NOT NULL COMMENT '请求时服务器公钥',
    ser_private_key VARCHAR(2048)                       NOT NULL COMMENT '请求时服务器私钥',
    cli_public_key  VARCHAR(2048)                       NOT NULL COMMENT '请求时客户端公钥',
    cli_private_key VARCHAR(2048)                       NOT NULL COMMENT '请求时客户端私钥',
    signature       VARCHAR(32)                         NOT NULL COMMENT '请求时签名字符串',
    original_text   TEXT                                NOT NULL COMMENT '加密后的信息',
    original_text   TEXT                                NOT NULL COMMENT '加密后的信息',
     password   VARCHAR(2048)                                 NOT NULL COMMENT '密码',
      input_id         INT(20)                             NOT NULL COMMENT '请求id',
    create_time     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '创建时间'
)
    COMMENT '乙方响应加密信息记录' CHARSET = utf8mb4;
